summaryrefslogtreecommitdiff
path: root/tests/mv/childproof
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/childproof')
-rwxr-xr-xtests/mv/childproof8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/mv/childproof b/tests/mv/childproof
index 04774d294..efe7225d6 100755
--- a/tests/mv/childproof
+++ b/tests/mv/childproof
@@ -32,7 +32,7 @@ cp a/f b/f c 2> /dev/null && fail=1
test -f a/f || fail=1
test -f b/f || fail=1
test -f c/f || fail=1
-test "`cat c/f`" = a || fail=1
+test "$(cat c/f)" = a || fail=1
rm -f c/f
# With --backup=numbered, it should succeed
@@ -47,7 +47,7 @@ mv a/f b/f c 2> /dev/null && fail=1
test -f a/f && fail=1
test -f b/f || fail=1
test -f c/f || fail=1
-test "`cat c/f`" = a || fail=1
+test "$(cat c/f)" = a || fail=1
# Make sure mv still works when moving hard links.
# This is where the same_file test is necessary, and why
@@ -76,8 +76,8 @@ echo a > a/f || fail=1
echo b > b/f || fail=1
ln -f a/f b/f c 2> /dev/null && fail=1
# a/f and c/f must be linked
-test `stat --format %i a/f` = `stat --format %i c/f` || fail=1
+test $(stat --format %i a/f) = $(stat --format %i c/f) || fail=1
# b/f and c/f must not be linked
-test `stat --format %i b/f` = `stat --format %i c/f` && fail=1
+test $(stat --format %i b/f) = $(stat --format %i c/f) && fail=1
Exit $fail